Get one warehouse movement
curl --request GET \
--url https://api.bold-factory.com/v1/warehouse/movements/{movementReference} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bold-factory.com/v1/warehouse/movements/{movementReference}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bold-factory.com/v1/warehouse/movements/{movementReference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"code": "<string>",
"externalReference": "<string>",
"dueAt": "2023-11-07T05:31:56Z",
"planningFailure": {
"detail": "<string>",
"lastAttemptAt": "2023-11-07T05:31:56Z"
},
"demand": {
"id": "<string>",
"movementId": "<string>",
"destinationLocationId": "<string>",
"destinationLocation": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"relatedType": "<string>",
"relatedId": "<string>",
"lines": [
{
"id": "<string>",
"demandId": "<string>",
"skuId": "<string>",
"sku": {
"id": "<string>",
"code": "<string>",
"externalReference": "<string>",
"name": "<string>",
"managesLots": true,
"stock": 123,
"unit": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
},
"lotId": "<string>",
"containerId": "<string>",
"quantity": 123,
"relatedDemandLineId": "<string>",
"allowLotSubstitution": true
}
]
},
"currentPlan": {
"id": "<string>",
"movementId": "<string>",
"version": 123,
"plannedAt": "2023-11-07T05:31:56Z",
"plannedBy": "<string>",
"stops": [
{
"id": "<string>",
"sequence": 123,
"locationId": "<string>",
"location": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"actions": [
{
"id": "<string>",
"sequence": 123,
"demandLineId": "<string>",
"skuId": "<string>",
"sku": {
"id": "<string>",
"code": "<string>",
"externalReference": "<string>",
"name": "<string>",
"managesLots": true,
"stock": 123,
"unit": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
},
"lotId": "<string>",
"containerId": "<string>",
"quantity": 123
}
]
}
]
},
"execution": {
"id": "<string>",
"movementId": "<string>",
"moverId": "<string>",
"mover": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"stockLocationId": "<string>",
"stockLocation": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"employeeId": "<string>",
"planId": "<string>",
"planVersion": 123,
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"stops": [
{
"id": "<string>",
"sequence": 123,
"planStopId": "<string>",
"locationId": "<string>",
"location": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"note": "<string>",
"arrivedAt": "2023-11-07T05:31:56Z",
"departedAt": "2023-11-07T05:31:56Z",
"departureNote": "<string>",
"actions": [
{
"id": "<string>",
"planActionId": "<string>",
"skuId": "<string>",
"sku": {
"id": "<string>",
"code": "<string>",
"externalReference": "<string>",
"name": "<string>",
"managesLots": true,
"stock": 123,
"unit": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
},
"lotId": "<string>",
"containerId": "<string>",
"quantity": 123,
"note": "<string>",
"occurredAt": "2023-11-07T05:31:56Z"
}
]
}
],
"carriedLooseStock": [
{
"skuId": "<string>",
"sku": {
"id": "<string>",
"code": "<string>",
"externalReference": "<string>",
"name": "<string>",
"managesLots": true,
"stock": 123,
"unit": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
},
"lotId": "<string>",
"quantity": 123
}
],
"carriedContainerIds": [
"<string>"
]
},
"cancelledReason": "<string>",
"cancelledAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Products.Read",
"instance": "GET /v1/maintenance/assets",
"code": "MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/ENTITY_NOT_FOUND",
"title": "The entity was not found.",
"status": 404,
"detail": "Entity Product (pr_72f13bd8218h9823dfj9) was not found.",
"instance": "DELETE /v1/items/products/pr_72f13bd8218h9823dfj9",
"code": "ENTITY_NOT_FOUND"
}Movements
Get one warehouse movement
Requires Warehouse.Movements.Read permissions
GET
/
v1
/
warehouse
/
movements
/
{movementReference}
Get one warehouse movement
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
Parámetros de ruta
Respuesta
OK
Opciones disponibles:
Picking, Storing, Provisioning Opciones disponibles:
Pending, Ready, InProgress, Completed, Cancelled Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I